### Function

# Gsk RenderReplayNodeFilter

since: 4.22

#### Declaration

    GskRenderNode*
    (* GskRenderReplayNodeFilter) (
      GskRenderReplay* replay,
      GskRenderNode* node,
      gpointer user_data
    )

#### Description [src]

A function to replay a node.

The node may be returned unmodified.

The node may be discarded by returning `NULL`.

If you do not want to do any handling yourself, call `gsk_render_replay_default()` to use the default handler that calls your function on the children of the node.

Available since: 4.22

#### Parameters

`replay`

  Type: `GskRenderReplay`

  The replay object used to replay the node.

  The data is owned by the caller of the function.

`node`

  Type: `GskRenderNode`

  The node to replay.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GskRenderNode`

The replayed node.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.